/**
 * Basic typography style for copy text
 */

body {
    @apply font-poppins text-white;
}

h1, .h1 {
    @apply text-4xl;

    @screen md {
        @apply text-5xl;
    }

    @screen lg {
        @apply text-8xl;
    }

    &__title {
        @apply text-5xl;

        @screen md {
            @apply text-7xl;
        }

        @screen lg {
            @apply text-9xl;
        }
    }
}

h2, .h2 {
    @apply text-3xl;

    @screen md {
        @apply text-4xl;
    }

    @screen lg {
        @apply text-6xl;
    }
}

h3, .h3 {
    @apply text-3xl;

    @screen lg {
        @apply text-5xl;
    }
}

h4, .h4 {
    @apply text-2xl;

    @screen lg {
        @apply text-4xl;
    }
}

h5, .h5 {
    @apply text-xl;

    @screen md {
        @apply text-2xl;
    }

    @screen lg {
        @apply text-3xl;
    }
}

p, .p {
    @apply text-xl;
}

.span {
    @apply text-xl;

    @screen md {
        @apply text-2xl;
    }

    &__special {
        @apply text-4xl md:text-6xl lg:text-7xl;
    }
}

.title {
    @apply text-2xl;

    @screen md {
        @apply text-3xl;
    }

    @screen lg {
        @apply text-5xl;
    }
}
